TAP::Parser::Result::Pragma(3pm)

NAME
TAP::Parser::Result::Pragma - TAP pragma token.

VERSION
Version 3.35

DESCRIPTION
This is a subclass of TAP::Parser::Result. A token of this class will be returned if a pragma is encountered.

 TAP version 13
 pragma +strict, -foo

Pragmas are only supported from TAP version 13 onwards.

OVERRIDDEN METHODS
Mainly listed here to shut up the pitiful screams of the pod coverage tests. They keep me awake at night.

•   "as_string"

•   "raw"

  Instance Methods
"pragmas"

if ( $result->is_pragma ) {
    @pragmas = $result->pragmas; }